Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes

From: Michael Albinus <[email-masked]>
Date: Mon, 26 Aug 2019 16:19:22 +0200

Stefan Kangas <[email-masked]> writes:

Hi Stefan,

>> Stefan, does the following patch solves the problem for you?
>
> Current master gives the same results with or without that patch, unfortunately.

It's a pity I have no Mac for own testing ...

> Without the patch:
>
> 4 unexpected results:
>    FAILED  tramp-test19-directory-files-and-attributes

Well, there was also a difference in the link number. Fixed in master.

(I have no idea why it happens only for you.)

>    FAILED  tramp-test41-utf8
>    FAILED  tramp-test41-utf8-with-ls
>    FAILED  tramp-test41-utf8-with-perl

Hmm, under macOS the search string must be encoded as Eli has
suggested. I've pushed a respective patch to master.

Could you, please, check again?

> Thanks,
> Stefan Kangas

Thanks for your patience, and best regards, Michael.